> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranets-monitoring/nat-usage ## OpenAPI ````json GET /v1/extranets-monitoring/nat-usage { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranets-monitoring/nat-usage": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "id", "in": "query", "description": "Extranet Service Id", "required": true, "schema": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": 800 } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetsMonitoringNatUsageGetResponse" } } } } } } } }, "components": { "schemas": { "v1ExtranetsMonitoringNatUsageGetResponse": { "type": "object", "properties": { "allocatedCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "allocations": { "type": "array", "items": { "$ref": "#/components/schemas/v1ExtranetsMonitoringNatUsageGetResponseAllocation" } }, "usageCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "v1ExtranetsMonitoringNatUsageGetResponseAllocation": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "hostname": { "type": "string", "example": "example string" }, "ipAddress": { "type": "string", "example": "example string" }, "siteId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "siteName": { "type": "string", "example": "example string" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````